Page MenuHomePhabricator

Weekly logs for project "An enhanced cross-wiki watchlist as an OAuth tool"
Closed, ResolvedPublic

Description

Weekly log of work done

Week 1 (25 May – 31 May)

Week 2 (1 June – 7 June)

Week 3 (8 June to 14 June)

Week 4 (15 June to 21 June)

  • Week 5 (22 June to 28 June)

    Week 6 (29 June to 5 July)

    • Added option to show traditional watchlist layout (wished by many beta testers)
    • T103678: Add cross-wiki notifications
    • more discussion with users about what features are wished
    • small bug fixes

    Week 7 (6 July to 12 July)

  • Week 8 (13 July to 19 July)

    Week 9 (20 July to 26 July)

    • switched to python 3 (gevent finally has python 3 support and needed for mediawiki-utilities)
    • pull request for flask-mwoauth to add python 3 support
    • cleaned up and refactored backend code

    Week 10 (27 July to 2 August)

    • new patchset and fixes for ORES support
    • T101456: flaggedrevs support
    • added translation file versioning to avoid cache problems
    • fixed smaller bug
      • fixed padding
      • fixed translations of <select> lists
      • link fixes
      • don't text-transform uppercase navbar buttons
      • added logevents support for pagetranslation events

    Week 11 (3 August to 9 August)

    • wrote patch for T108247: Add crosswatch project to translatewiki
    • added button to expand/collapse diff preview
    • tested several fonts, ended up with with reducing font size due to issues in Firefox
    • experimented with different themes, set accent color to red in the end
    • set uselang API parameter for diffs and notifications
    • smaller fixes:
      • fixed and added missing german translations
      • fixed ORES error handling
      • added ability to blacklist wikis
      • fixed edge case bug with flaggedrevs task

    Week 12 (10 August to 16 August)

    Week 13 (17 August to 23 August)

    • follow-up patch for T109188: Support for subdivided watchlists and merged it
    • wrote wrap-up report
    • small fixes:
      • fixed expand button size problem for the traditional watchlist layout
      • fixed padding issue for traditional watchlist layout combined with subdivided watchlists

    Related Objects

    Event Timeline

    Sitic created this task.May 24 2015, 1:49 PM
    Sitic claimed this task.
    Sitic raised the priority of this task from to Normal.
    Sitic updated the task description. (Show Details)
    Sitic added a project: crosswatch.
    Sitic moved this task to Tracking on the crosswatch board.
    Sitic added a subscriber: Sitic.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 1:49 PM
    Sitic updated the task description. (Show Details)May 30 2015, 7:12 PM
    Sitic set Security to None.
    Niharika renamed this task from Weekly log to Weekly logs for project "An enhanced cross-wiki watchlist as an OAuth tool".Jun 2 2015, 1:05 PM
    Sitic updated the task description. (Show Details)Jun 7 2015, 5:51 PM
    Sitic updated the task description. (Show Details)Jun 14 2015, 2:55 PM
    Sitic updated the task description. (Show Details)Jun 24 2015, 8:24 PM
    Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 11:12 AM
    Sitic updated the task description. (Show Details)Jul 2 2015, 1:51 PM
    Sitic updated the task description. (Show Details)Jul 15 2015, 8:05 PM

    Hey @Sitic, the reports are not quite up-to-date. Hope the project is going well.

    Sitic updated the task description. (Show Details)Jul 28 2015, 4:53 AM

    @NiharikaKohli thanks for the reminder, it is indeed going well :-)

    Sitic updated the task description. (Show Details)Aug 4 2015, 11:15 PM
    Sitic updated the task description. (Show Details)Aug 20 2015, 2:42 PM
    Sitic updated the task description. (Show Details)Aug 21 2015, 2:19 PM
    Legoktm closed this task as Resolved.Aug 23 2015, 5:39 AM
    Legoktm added a subscriber: Legoktm.